com.verisign.epp.codec.registry.v02

## Class EPPRegistryTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.registry.v02.EPPRegistryTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPRegistryTst
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryTst(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryContact` | `buildContact()` Builds a `EPPRegistryContact` instance for use in Registry Mapping tests or Registry Mapping extension tests.
    `static EPPRegistryDomain` | `buildInfoDomain()` Builds a `EPPRegistryDomain` instance for use in Registry Mapping tests or Registry Mapping extension tests.
    `static EPPRegistryDomain` | `buildInfoDomain(boolean aDsDataInterface, boolean aHostObjModel)` Builds a `EPPRegistryDomain` instance for use in Registry Mapping tests or Registry Mapping extension tests.
    `static EPPRegistryHost` | `buildInfoHost(boolean aHostObjModel)` Builds a `EPPRegistryHost` instance for use in Registry Mapping tests or Registry Mapping extension tests.
    `static EPPRegistrySystemInfo` | `createSystemInfo()` Creates a `EPPRegistrySystemInfo` test instance.
    `static EPPRegistryZone` | `createZone()` Creates a `EPPRegistryZone` test instance.
    `static EPPRegistryZone` | `createZone(boolean aContactPolicy, boolean aDsDataInterface, boolean aHostObjModel)` Creates a `EPPRegistryZone` test instance.
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp`, which currently does nothing.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testRegistryCheck()`
    `void` | `testRegistryCreate()`
    `void` | `testRegistryDelete()`
    `void` | `testRegistryInfoSystemInfo()` Test the registry info command and response for the system info.
    `void` | `testRegistryInfoZoneInfo()` Test the registry info command and response for the zone info.
    `void` | `testRegistryInfoZoneList()` Test the registry info command and response for the zone list.
    `void` | `testRegistryUpdate()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryTst

          public EPPRegistryTst(java.lang.String name)

  - ### Method Detail

    - #### testRegistryInfoZoneList

          public void testRegistryInfoZoneList()

      Test the registry info command and response for the zone list.

    - #### testRegistryInfoZoneInfo

          public void testRegistryInfoZoneInfo()

      Test the registry info command and response for the zone info.

    - #### testRegistryInfoSystemInfo

          public void testRegistryInfoSystemInfo()

      Test the registry info command and response for the system info.

    - #### testRegistryCheck

          public void testRegistryCheck()

    - #### testRegistryCreate

          public void testRegistryCreate()

    - #### testRegistryUpdate

          public void testRegistryUpdate()

    - #### testRegistryDelete

          public void testRegistryDelete()

    - #### createZone

          public static EPPRegistryZone createZone()

      Creates a `EPPRegistryZone` test instance. This can be used to bootstrap testing of the Registry Mapping or a Registry Mapping extension. The response will include the contact policy information and the DS Data interface information. The most likely options are used, which include inclusion of contact policies (thick), support for the DNSSEC DS Data Interface, and support for the host object model of RFC 5731.
      Returns:
        `EPPRegistryZone` instance that is populated with an initial set of .COM zone information.

    - #### createZone

          public static EPPRegistryZone createZone(boolean aContactPolicy,
                                                   boolean aDsDataInterface,
                                                   boolean aHostObjModel)

      Creates a `EPPRegistryZone` test instance. This can be used to bootstrap testing of the Registry Mapping or a Registry Mapping extension.
      Parameters:
        `aContactPolicy` - Include the contact policy? If `true` the contact policy information will be included in the response; otherwise there will be no contact policy information.
        `aDsDataInterface` - Is the DNSSEC DS data interface supported? If `true` the DS data interface is supported; otherwise the Key data interface is supported.
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        `EPPRegistryZone` instance that is populated with an initial set of .COM zone information.

    - #### createSystemInfo

          public static EPPRegistrySystemInfo createSystemInfo()

      Creates a `EPPRegistrySystemInfo` test instance. This can be used to bootstrap testing of the Registry Mapping or a Registry Mapping extension.
      Returns:
        `EPPRegistrySystemInfo` instance that is populated system data.

    - #### buildInfoDomain

          public static EPPRegistryDomain buildInfoDomain()

      Builds a `EPPRegistryDomain` instance for use in Registry Mapping tests or Registry Mapping extension tests.
      Returns:
        `EPPRegistryDomain` instance populated with an initial set of domain policy information.

    - #### buildInfoDomain

          public static EPPRegistryDomain buildInfoDomain(boolean aDsDataInterface,
                                                          boolean aHostObjModel)

      Builds a `EPPRegistryDomain` instance for use in Registry Mapping tests or Registry Mapping extension tests.
      Parameters:
        `aDsDataInterface` - Is the DNSSEC DS data interface supported? IF `true` the DS data interface is supported; otherwise the Key data interface is supported.
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        `EPPRegistryDomain` instance populated with an initial set of domain policy information.

    - #### buildInfoHost

          public static EPPRegistryHost buildInfoHost(boolean aHostObjModel)

      Builds a `EPPRegistryHost` instance for use in Registry Mapping tests or Registry Mapping extension tests.
      Parameters:
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        `EPPRegistryHost` instance populated with an initial set of host policy information.

    - #### buildContact

          public static EPPRegistryContact buildContact()

      Builds a `EPPRegistryContact` instance for use in Registry Mapping tests or Registry Mapping extension tests.
      Returns:
        `EPPRegistryContact` instance populated with an initial set of contact policy information.

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.
      Returns:
        DOCUMENT ME!

    - #### setUp

          protected void setUp()

      JUNIT `setUp`, which currently does nothing.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test